# Mysticons - Sprint07

## Suunnittelu

Tiimin kesken pysyttiin varovaisessa suunnittelussa. WIMMA Labin ajan rajallisuus alkaa konkretisoitua ja asettaa rajoituksia suunnittelulle. Tavoitteena on kuitenkin saada aikaiseksi jotain ns. järkevää. Eli jonkinlainen kokonaisuus, joka olisi itsessään ehyt ja toimiva, ja olisi dokumentoitu niin, että muiden olisi helppo hyödyntää sitä ja mahdollisesti jatkaa kehitystä tulevaisuudessa.  

Toimeksiantajan tapaamisesta ja aiempien keskustelujen muistiinpanoista nostettiin muutamia uusia issueita boardille, joilla voi laajentaa jo olemassa olevia toteutuksia, mikäli aikaa on. Power Automatesta olisi tällä sprintillä tarkoitus saada esittely omalle tiimille, jonka perusteella sitten flowta voisi kehittää ja aloittaa dokumentaatiota. Muille wimmalaisille esittely järjestetään sitten hieman myöhemmin, kun flowta on saatu siistittyä ja täsmennettyä vielä hiukan enemmän oman tiimin kommentoinnin jälkeen. Näin Power Automate työlle saadaan kaksinkertainen katselmointi ja toivottavasti jälkimmäistä esitystä tukemaan saataisiin jo dokumentaatiota helpottamaan esityksen ymmärtämistä.

Kubessa jatketaan siitä mihin viime sprintillä jäätiin. Volumeista ja nodeista on saatu jonkinlainen selvyys, mutta niitä pitää tutkia lisää. Tietoturvan ja koventamisen puolelta tutkimukseen erilaiset policyt. Lisäksi Robot Frameworkin opettelu ja testaus ympäristön pystytys. Myös Kube asioissa aletaan ajattelemaan dokumentointia tarkemmin, materiaaleja aletaan koota selkeämmin yhteen paikkaan, ja järjestää dokumentointi järjestykseen. Tällä pyritään varautumaan siihen, että kuka vain tiimiläinen pystyisi suoriutumaan dokumentaatiosta, ihan vain siltä varalta, että jos jotain yllättävää sattuu. Lisäksi heinäkuussa tiimiläisillä on todennäköisesti vaihtelevamman mittaisia päiviä, koska osalla on sovittuja menoja ja ohjeistuksen mukaan kaikki wimmatunnit pyritään tekemään heinäkuun aikana, joten keskittämisellä pyritään ratkaisemaan myös näitä aikatauluja. 

Tällä sprintillä lisä säväyksen tuo Mysticons funday 8.7. jonka ohjelman valmistelu ja viimeistely tapahtuu alku sprintistä. 


#### Esimerkkejä sprintin taskeista:

-	Kubernetes: tietoturvan pohjaton suo
-	Power Automate: kutsu git repoon sähköpostiin
-	Pidä Power Automate tutorial muille tiimiläisille
-	Päivitä: ”release plän”


## Arvio sprintin taskien suorittamisesta

Sprintillä saatiin suoritettua osa taskeista, totuttuun tapaan osa jatkuu myös seuraavalle sprintille, koska taskit ovat laaja-alaisia. Sprintillä vastaan tuli muutama taski, jota ei ollut osattu nähdä vastaan tulevaksi tällä sprintillä. Ne edistivät WIMMA Labin kokonais projektia, mutta osaltaan lykkäsivät alkuperäisesti suunniteltujen taskien valmistumista. Tämä ei kuitenkaan ole huono asia, vaan nämä ”yllätys-taskit” olivat silti iso harppaus eteenpäin. Viikon aikana selvisi, että IoTitude oli itsenäisesti laittanut palvelunsa pyörimään Kuberneteksen päälle, joten tiimin kesken tuumattiin, että muillekin tiimeille tehtäisiin vastaava. Näinpä Kuberneteksen pystytys ja palvelun deployaaminen sen päälle ohjeistettiin myös Pengwin Median ja Overflown jäsenille, jotta kaikki tiimit pystyisivät tästä eteenpäin hallitsemaan itse omaan Kubernetestaan. Mysticons jatkaisi edelleen Kuberneteksen kehitysta ja koventamista ja antaisi sitten uudet tiedot eteenpäin muillekin tiimeille, mutta tiimeillä olisi myös madollisuus kehittää omaa ympäristöään siihen suuntaan, mihin itse kokisivat sen parhaaksi.


## Review

Sprintillä saatiin selville, että IoTituden osaavat kaverit olivat saaneet oman sovelluksensa pyörimään onnistuneesti Kuben päälle. Tästä innostuneena Kubekolmikko päätti, että muidenkin tiimien sovellukset laitettaisiin pyörimään tiimien omille klustereille ja tiimeihin koulutettaisiin kubevastaava. Näin ollen tiimit pääsisivät myös itsenäisesti testaamaan ja harjoittelemaan Kuberneteksen pyörittämistä ja käyttöä. Näin Mysticon pystyisi jatkamaan asioiden selvittämistä ja sitten viemään kerätyn tiedon ja opitut käytänteet paremmin tiimeille. Pengwinin ympäristö pystytettiin tiistain aikana ja perjantaina keskityttiin Overflowhun, jonka kanssa kohdattiin hieman uusia haasteita. Osa haasteista saatiin ratkottua tällä sprintillä, mutta osan selvittämistä pitää jatkaa seuraavalla sprintillä. Näistä ohjeistus sessioista on kerätty arvokasta tietoa ja havaintoja, joita hyödynnetään myöhemmin dokumentaation kirjoittamisessa.

Kuberneteksen parissa tällä sprintillä keskityttiin NFS levyjakoon, skriptin korjaamiseen ja siistimiseen, tietoturvaan ja konfauksiin. Lisäksi selviteltiin policyjä, joita oliis hyvä noudattaa Kuben kanssa. Policyiksi nimetään myös parhaita käytäntöjä, kuten ettei kontin taginä saa olla latest, tai että Kuberneteksessa ei käytetä default namepsacea, takka node porttia. Policyt tullaan listaamaan tarkemmin dokumentaatiossa, jotta ne olisivat helposti löydettävissä ja nähtävissä yhdestä paikkaa. 

Power Automatesta pidettiin tiimin sisäinen esittely, jonka pohjalta esittelyä hiotaan muulle WIMMA Labille esiteltäväksi. Tämä esittely pidetään maanantaina 12.7. klo 14. Esittelyä varten koottua Power Pointtia ja kaksista esittelyistä saatuja kommentteja kerätään ylös ja näitä hyödynnetään Power Automaten dokumentaation koostamisessa. 

Tehtävät ovat siis edenneet, mutta edelleen on nähtävissä, että pitkään jatkunut helle verottaa jaksamista ja keskittymistä. WIMMA Labin alku sprinteillä, kelin ollessa viileämpää, sprinteillä saatiin enemmän aikaiseksi. Toki tehtävien laajuus on myös sprinttien edetessä kasvanut, kun on päästy ympäristön pystyttämisestä hienosäätämiseen ja konfigurointiin, sekä tietoturvaan. Osa tiimiläisistä kaipaa myös hieman vaihtelua ”omista hommista”. Tähän ehkä saadaan tilaisuus, koska Overflow saattaa tarvita apua ja IoTituden haastepelin ensimmäistä buildia voi myös testata. Myös dokumentoinnin aloittaminen, voi tuoda vaihtelua toimenkuviin. Samoin testauksen. Robot Frameworkia on jo jonkin aikaa vilkuiltu sivussa ja ensi sprintillä siihen saadaan varmaan myös parempi alku, kun WIMMA Lab saa vierailijan kertomaan siitä enemmän.
